For the complete documentation index, see llms.txt. This page is also available as Markdown.

Change order

Atualizar ordem do Card de um Widget

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
newOrderIdstringObrigatório

ID do novo pedido

widgetIdstringObrigatório

ID do widget

cardIdstringObrigatório

ID do card

Corpo
orderinteger · int32Opcional
Respostas
200

Widgets updated

application/json
idstringOpcional
titlestringOpcional
subtitlestringOpcional
iconstring · enumOpcionalValores possíveis:
redirect_linkstringOpcional
orderinteger · int32Opcional
put/new-orders/{newOrderId}/widgets/{widgetId}/cards/{cardId}/change-order
PUT /api/b2b/new-orders/{newOrderId}/widgets/{widgetId}/cards/{cardId}/change-order HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 11

{
  "order": 1
}
{
  "id": "text",
  "title": "text",
  "subtitle": "text",
  "icon": "CHECKLIST",
  "redirect_link": "text",
  "order": 1
}